/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player.ranking;

/**
 * @author joethei
 * @version 0.1
 */
public enum Ranking {

    SILVER_1("Silver 1", 2, 5);

    private String name;
    private int min;
    private int max;

    Ranking(String name, int min, int max) {
        this.name = name;
        this.min = min;
        this.max = max;
    }

    public String getName() {
        return name;
    }

    public int getMin() {
        return min;
    }

    public int getMax() {
        return max;
    }

    public static Ranking getFromInt(int ranking) {
        for(Ranking rank : values()) {
            if(rank.getMax() > ranking && rank.getMin() < ranking) {
                return rank;
            }
        }
        return null;
    }
}